import acm.program.*;
import acm.graphics.*;
import java.awt.event.*;

/* A program that has a cat follow the mouse around the screen. */
public class MouseTracker extends GraphicsProgram {	
	public void run() {
		addTracker();
		addMouseListeners();
	}
	
	/* The image representing the cat. */
	private GImage tracker;
	
	/**
	 * Creates and adds the tracker to the screen.
	 */
	private void addTracker() {
		tracker = new GImage("Cat.jpg");
		add(tracker);
	}
	
	/**
	 * Repositions the cat in response to the mouse moving.
	 */
	public void mouseMoved(MouseEvent e) {
		double newX = e.getX() - tracker.getWidth() / 2.0;
		double newY = e.getY() - tracker.getHeight() / 2.0;
		tracker.setLocation(newX, newY);
	}
}
